Summary:	C++ library for reading and writing Zip files
Summary(pl.UTF-8):	Biblioteka C++ do odczytu i zapisu plików Zip
Name:		zipios++
Version:	0.1.5
Release:	5
License:	LGPL
Group:		Libraries
Source0:	http://downloads.sourceforge.net/zipios/%{name}-%{version}.tar.gz
# Source0-md5:	da66383f6dd70b4766252fec3ff3d7bb
Patch0:		%{name}-shared.patch
Patch1:		%{name}-c++.patch
Patch2:		%{name}-gcc.patch
Patch3:		%{name}-gcc42.patch
Patch4:		gcc43.patch
Patch5:		ptrdiff.patch
URL:		http://zipios.sourceforge.net/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Zipios++ is a java.util.zip-like C++ library for reading and writing
Zip files. Access to individual entries is provided through standard
C++ iostreams. A simple read-only virtual file system that mounts
regular directories and zip files is also provided.

%description -l pl.UTF-8
Zipios++ jest jak java.util.zip biblioteką C++ do odczytywania oraz
zapisywania plików Zip. Dostęp do pojedyńczych wpisów jest możliwy
poprzez standardowe strumienie we/wy C++. Prosty wirtualny system
plików (tylko do odczytu) montujący regularne katalogi oraz pliki zip
również jest dostarczany.

%package devel
Summary:	Header files for zipios++
Summary(pl.UTF-8):	Pliki nagłówkowe zipios++
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	zlib-devel

%description devel
The header files are only needed for development of programs using the
zipios++.

%description devel -l pl.UTF-8
W pakiecie tym znajdują się pliki nagłówkowe, przeznaczone dla
programistów używających bibliotek zipios++.

%package static
Summary:	Static zipios++ libraries
Summary(pl.UTF-8):	Biblioteki statyczne zipios++
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static zipios++ libraries.

%description static -l pl.UTF-8
Biblioteki statyczne zipios++.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libzipios.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzipios.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libzipios.so
%{_libdir}/libzipios.la
%{_includedir}/zipios++

%files static
%defattr(644,root,root,755)
%{_libdir}/libzipios.a
%changelog
* Fri Jan 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zipios++.git;a=log;h=master

* Sat Jan 18 2014 Jakub Bogusz <qboosh@pld-linux.org> d7dbd5a
- updated ptrdiff patch: use just <cstddef> for ptrdiff_t
- verbose lib files

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> aa8c7c3
- added ptrdiff.patch
- ghost soname symlink
- rel 5

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2494380
- include zutil.h because ptrdiff_t is declared there

* Wed Oct 28 2009 Szymon Siwek <sls@pld-linux.org> 6c3bc8a
- added gcc43.patch

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> e9defe5
- rel 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 02ffa0c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b96a032
- converted to UTF-8

* Sun Dec 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 4449041
- removed junk

* Sun Dec 24 2006 czarny <czarny@pld-linux.org> 083fcd6
- patch 4 gcc42

* Sun Dec 24 2006 czarny <czarny@pld-linux.org> fe5a64f
- proper gcc42 template declaration

* Thu Nov 11 2004 darekr <darekr@pld-linux.org> a578a43
- typo

* Sat Oct 30 2004 paladine <paladine@pld-linux.org> dc46e7b
- spaces->tabs

* Sat Apr 10 2004 Jakub Bogusz <qboosh@pld-linux.org> 0579bfd
- added gcc patch, builds now; release 3

* Sat Apr 10 2004 Jakub Bogusz <qboosh@pld-linux.org> c20043c
- missing include

* Mon May 26 2003 Michal Moskal <michal@moskal.me> a7819c2
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 4586637
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Mar 17 2003 qrczak <qrczak@pld-linux.org> d9d3c67
- zipios++-c++.patch: fix invalid C++ to compile with gcc3.
- Release 2.

* Thu Mar 13 2003 Jakub Bogusz <qboosh@pld-linux.org> b4e0f1b
- working Source URL, minor fixed where needed

* Fri Nov 29 2002 ankry <ankry@pld-linux.org> 2b0d9b1
- massive attack: new %%doc

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> c468670
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

